#include <catch2/catch_test_macros.hpp>
#include <fmt/core.h>
#include <string>
#include "guecs/sfml/textures.hpp"

using namespace fmt;

TEST_CASE("test texture management", "[textures]") {
  textures::init();
  auto spider = textures::get("textures_test");
  REQUIRE(spider.sprite != nullptr);
  REQUIRE(spider.texture != nullptr);

  auto image = textures::load_image("assets/textures_test.png");
}
